Subject: RE: bug#41524: 26.3; Request for 'x' for 'execute' in dired menu

From: Drew Adams <[email-masked]>
Date: Mon, 24 Aug 2020 08:09:04 -0700 (PDT)

> > Yes, `x' is not in a menu-bar menu.  It should be.
> >
> > If you use Dired+, it is.  There, you have submenu
> > `Delete', with menu items `Delete Marked (not Flagged)'
> > and `Delete Flagged'.  The former has key `D', and the
> > latter has key `x'.
> >
> > (In Dired+, menu-bar menu `Operate' is named `Multiple',
> > so submenu `Delete' is `Multiple > Delete', not `Operate
> >> Delete'.)
> 
> How does the attached patch look?
> 
> (I had a look at Dired+ and lifted some help strings from there.
> Thanks Drew.)

Thanks for looking into this.

I don't think this belongs on menu `Mark', however.

It belongs on menu `Operate', as it operates on the
(typically) multiple files that are marked (or flagged).

Menu `Mark' is for marking files, not for acting on
marked files.

IMO, it would not be good to start mixing up marking
with acting on marked files, on the same menu.  That
would set a bad precedent.  Once things get set in
an Emacs menu, it seems to take a major earthquake
to later change them, so it's better to try to keep
things clear from the outset.

[When I said in my previous post, that Dired+
has a `Delete' submenu, I should have mentioned
that it is on menu `Multiple' (which corresponds
to vanilla menu `Operate'), not on menu `Marks'
(which corresponds to vanilla menu `Mark'.]